Page MenuHomeVyOS Platform

After the bridge is configured with Mac, bridge is automatically disabled
Closed, ResolvedPublicBUG

Description

After the bridge is configured with Mac, bridge is automatically disabled.

Each time (including restart), you need to manually execute the following command to enable:

sudo ifconfig br1 up

The command to configure the MAC address is as follows:

set interfaces bridge br1 mac <mac-address>

Usually, the bridge will automatically select the MAC of the smallest port in the port list as its MAC address. However, when I try to specify a non-existent MAC address as the bridge Mac, it will automatically shut down when I execute commit, although communication can be restored by manually executing the up command. I don't know that this is the design situation, and I have not tested whether the same situation will happen when the MAC in the specified port list is the bridge Mac. However, if this situation will cause the bridge to work abnormally or possibly stop, then at least a warning should be output during commit instead of disable directly.

Details

Difficulty level
Unknown (require assessment)
Version
1.3-rolling-202006270117
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

jack9603301 updated the task description. (Show Details)
jack9603301 updated the task description. (Show Details)Jul 2 2020, 5:33 PM
zsdc assigned this task to SrividyaA.Jul 14 2020, 6:20 PM
SrividyaA changed the task status from Open to In progress.Jul 17 2020, 9:59 PM

Reproduced in VyOS 1.3-rolling-202007140117 version
When the mac address is added to the interface manually, the interface is marked down.

A PR #502 is created to fix the issue:
https://github.com/vyos/vyos-1x/pull/502

Changes are made in the interface.py script in order to bring the admin state to 'UP' after the mac is manually added in system config

Viacheslav closed this task as Resolved.Jul 23 2020, 10:42 AM
Viacheslav added a subscriber: Viacheslav.

In VyOS 1.3-rolling-202007220117 works fine.

c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Aug 3 2020, 2:13 PM